Get all fact-find requests for the user. [DEPRECATED: Use the v2 fact-find session routes] Deprecated Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
GET /api/v1/fact-find/request

Headers

  • X-PLANNR-ACCOUNT-UUID string

Query parameters

  • filter[uuid] string

    Filter by a comma separated list of UUIDs.

  • sort string

    Field to sort by. Valid fields are [created_at, updated_at]. Negative sign to denote DESC. Defaults to '-created_at'.

  • per_page integer

    Number of results to return with pagination (Default 15. Max 500).

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string
      • created_at string
      • updated_at string
      • status string
      • completed_at string
      • invitation_text string
      • schema object
        Hide schema attributes Show schema attributes object
        • uuid string
        • created_at string
        • updated_at string
        • archived_at string
        • is_archived boolean
        • name string
        • introduction_html string
        • sections_count integer
        • public_url string
      • latest_file object
        Hide latest_file attributes Show latest_file attributes object
        • uuid string
        • created_at string
        • original_created_at string
        • updated_at string
        • uploaded_at string
        • status string
        • filename string
        • name string
        • extension string
        • type string
        • size string
        • path string
        • last_modified string
        • progress string
        • download_url string
        • preview_url string
        • folder_name string
        • folder object
          Hide folder attributes Show folder attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • name

            Folder name

          • slug

            Slug of the folder name

          • path

            Folder path

          • clients_read

            Denotes whether clients can access this folder and files

          • clients_write

            Denotes whether clients can upload files to this folder

          • show_client_permissions

            Denotes whether the option to change client permissions is enabled which depends on the firm show pseudo folders in client portal setting

          • is_system_folder

            Denotes if this folder is a system folder

          • is_pseudo_folder

            Denotes if this folder is a pseudo folder

          • is_root_folder

            Denotes if this folder is a root folder of a documentable item

          • documentable_type

            The documentable type such as account/plan/case/etc the file was uploaded to

          • documentable_uuid

            The UUID of the documentable resource

          • documentable

            The documentable the file was uploaded to

          • participants_count

            Number of accounts this folder has been directly shared with

          • folders_count

            Number of subfolders within the folder

          • files_count

            Number of files stored in the folder

          • depth

            How many levels deep there are to this folder hierarchy structure

          • owned

            Is true if the authenticated account in the request has created this folder

        • documentable_type string
        • documentable string
        • navigator object
          Hide navigator attributes Show navigator attributes object
          • model_type string
          • model_uuid string
        • firm object
          Hide firm attributes Show firm attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • name

            Name of the firm

          • slug

            Slug of the firm

          • address_1

            First line of the address

          • address_2

            Second line of the address

          • town_city

            Town/City

          • county

            County

          • postcode

            Postcode

          • country

            Country

          • regulatory_text

            Regulatory text of the firm.

          • logo_icon

            URL of your firm logo icon.

          • brand_colours

            Firm branding colours.

          • is_subscribed

            Subscription status.

          • keep_deleted_files_for

            Number of days to keep deleted files for

          • tax

            Tax percent

          • month_end

            Date of the month for the monthly income reconciliation statements to end

          • statement_frequency

            The frequency of the income reconciliation statements

          • billing

            Firm invoice details for billing

          • ip_whitelist

            A list of IP Addresses a firm is allowed to log in from.

          • welcome_paragraph_html

            Custom welcome paragraph html for the branded auth welcome page

          • email_welcome_paragraph_html

            Custom welcome paragraph for the welcome/new user email

          • show_fact_find_illustrations

            Determines if the illustrations/graphics are displayed on the fact find.

          • cc_email_addresses

            Array of email cc addresses.

          • bcc_email_addresses

            Array of email bcc addresses.

          • reply_to_email_address

            Firm reply to email address.

          • mobile_app_support_number

            Firm mobile app support number.

          • mobile_app_support_email

            Firm mobile app support email address.

        • account object
          Hide account attributes Show account attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Account type

          • role

            Account role

          • first_name

            First name

          • last_name

            Last name

          • name

            Name

          • email

            (Deprecated - Please use the primary email of the account instead). The email of the account.

          • photo_url

            The photo URL of the client

        • tags object
          Hide tags attributes Show tags attributes object
          • uuid

            UUID of the tag

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • name

            The name of the tag

          • slug

            The slug of the tag

          • colour

            The colour of the tag

      • account object
        Hide account attributes Show account attributes object
        • uuid string
        • created_at string
        • updated_at string
        • type string
        • role string
        • first_name string
        • last_name string
        • name string
        • email string
        • photo_url string
        • external_references object
          Hide external_references attributes Show external_references attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • third_party

            The third party provider with the reference.

          • reference

            The third party reference.

      • invitation_url string
      • fact_find_passes object
        Hide fact_find_passes attributes Show fact_find_passes attributes object
        • uuid string
        • created_at string
        • updated_at string
        • firm object
          Hide firm attributes Show firm attributes object
          • uuid string
          • name string
        • account object
          Hide account attributes Show account attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Account type

          • role

            Account role

          • first_name

            First name

          • last_name

            Last name

          • name

            Name

          • email

            (Deprecated - Please use the primary email of the account instead). The email of the account.

          • photo_url

            The photo URL of the client

        • circle object
          Hide circle attributes Show circle attributes object
          • uuid string
          • name string
        • expires_at string
        • progress integer
        • is_complete boolean
        • completed_sections integer
GET /api/v1/fact-find/request
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/fact-find/request' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "data": [
    {
      "uuid": "ad259854-e88e-42af-a4cd-bc31f9fcabb1",
      "created_at": "2026-08-28T07:34:58+01:00",
      "updated_at": "2026-08-28T07:34:58+01:00",
      "status": "complete",
      "completed_at": "2026-08-23T07:34:58+01:00",
      "invitation_text": "Please complete this fact find!",
      "schema": {
        "uuid": "976c44be-1a66-4c75-a17e-eb0a5eb1623b",
        "created_at": "2026-08-28T07:34:58+01:00",
        "updated_at": "2026-08-28T07:34:58+01:00",
        "archived_at": "2026-08-27T07:34:58+01:00",
        "is_archived": false,
        "name": "Default fact find",
        "introduction_html": "Welcome to our fact find! <b>You can use some HTML too.</b>",
        "sections_count": 5,
        "public_url": "https://api.plannrcrm.com/fact-find/a1527b91-dde4-425a-9da5-c0ef87593dff"
      },
      "latest_file": {
        "uuid": "e4efdb18-8e4c-44aa-b7bb-e2a037e03f48",
        "created_at": "2026-08-28T07:34:58+01:00",
        "original_created_at": "2026-08-28T07:34:58+01:00",
        "updated_at": "2026-08-28T07:34:58+01:00",
        "uploaded_at": "2026-08-28T07:34:58+01:00",
        "status": "uploaded",
        "filename": "Welcome to Plannr.pdf",
        "name": "Welcome to Plannr",
        "extension": "pdf",
        "type": "type",
        "size": "21691783",
        "path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
        "last_modified": "2026-08-28T07:34:58+01:00",
        "progress": "100",
        "download_url": "https://api.plannrcrm.com/file/0f9cdaa7-c30f-4611-9183-924b3b248793/download",
        "preview_url": "https://api.plannrcrm.com/file/ca3d3a01-5749-406a-a221-e70c9ee0d320/preview",
        "folder_name": "folder 2",
        "folder": {
          "uuid": "4fe234d3-7298-4210-95ac-84e42eae21f4",
          "created_at": "2026-08-28T07:35:05+01:00",
          "updated_at": "2026-08-28T07:35:05+01:00",
          "name": "Important Documents",
          "slug": "important-documents",
          "path": "Codepotato/Important Documents",
          "clients_read": true,
          "clients_write": true,
          "show_client_permissions": true,
          "is_system_folder": true,
          "is_pseudo_folder": true,
          "is_root_folder": true,
          "documentable_type": "account",
          "documentable_uuid": "account",
          "documentable": "Object",
          "participants_count": 3,
          "folders_count": 5,
          "files_count": 8,
          "depth": 5,
          "owned": false
        },
        "documentable_type": "account",
        "documentable": "Object",
        "navigator": {
          "model_type": "account",
          "model_uuid": "de148906-4a1b-431d-b022-7429f8a9cc89"
        },
        "firm": {
          "uuid": "7abfeab1-ccae-4a3e-b43c-15e35b008ff8",
          "created_at": "2026-08-28T07:35:05+01:00",
          "updated_at": "2026-08-28T07:35:05+01:00",
          "name": "Codepotato",
          "slug": "codepotato",
          "address_1": "Suite E, 5 The Briars",
          "address_2": "Waterberry Drive",
          "town_city": "Waterlooville",
          "county": "Hampshire",
          "postcode": "PO7 7YH",
          "country": "United Kingdom",
          "regulatory_text": "Regulatory text",
          "logo": "https://api.plannrcrm.com/images/plannr.jpg",
          "logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
          "brand_colours": {
            "sidebar_background": "#0E0E56",
            "sidebar_accent": "#36367E",
            "sidebar_text": "#FFFFFF",
            "sidebar_hover": "#0A0A42",
            "sidebar_active": "#53DBB8",
            "sidebar_title_background": "#36367E",
            "sidebar_title_primary": "#FFC634",
            "sidebar_title_secondary": "#FFFFFF",
            "sidebar_title_secondary_hover": "#FFFFFF",
            "email_background": "#0E0E56",
            "email_logo_background_panel": "#36367E",
            "email_sub_text": "#FFFFFF",
            "email_button_background": "#36367E",
            "email_button_text": "#FFFFFF",
            "portal_sidebar_button_background": "#F6F6F6",
            "portal_sidebar_button_hover": "#FFFFFF",
            "portal_sidebar_button_active": "#FFFFFF",
            "portal_brand_title": "#323B4B",
            "portal_brand_sub_title": "#828994",
            "portal_sidebar_title": "#11151D",
            "portal_sidebar_text": "#323B4B",
            "portal_sidebar_text_hover": "#323B4B",
            "portal_sidebar_text_active": "#323B4B",
            "portal_sidebar_icon": "#828994",
            "portal_sidebar_icon_hover": "#828994",
            "portal_sidebar_icon_active": "#828994",
            "portal_background": "#F6F6F6",
            "portal_sidebar_account_title": "#11151D",
            "portal_sidebar_account_email": "#828994",
            "portal_sidebar_divider": "#E3E5E9",
            "portal_dashboard_bg_one": "#EF4583",
            "portal_dashboard_bg_two": "#FFC634",
            "portal_sidebar_collapse_button": "#828994",
            "portal_sidebar_collapse_button_hover": "#B3B9C4",
            "portal_sidebar_user_select_background": "#F6F6F6",
            "portal_sidebar_user_select_hover": "#F6F6F6",
            "portal_sidebar_user_select_text": "#323B4B",
            "portal_sidebar_user_select_text_hover": "#323B4B",
            "portal_sidebar_user_select_border": "#EEEEEE",
            "portal_sidebar_user_select_border_hover": "#828994"
          },
          "is_subscribed": true,
          "keep_deleted_files_for": 30,
          "tax": 17.5,
          "month_end": 25,
          "statement_frequency": "monthly",
          "billing": {
            "invoice_address_1": "Suite E, 5 The Briars",
            "invoice_address_2": "Waterberry Drive",
            "invoice_town_city": "Waterlooville",
            "invoice_county": "Hampshire",
            "invoice_postcode": "PO7 7YH",
            "invoice_country": "United Kingdom",
            "invoice_email": "gareth@codepotato.co.uk"
          },
          "ip_whitelist": [
            "192.168.0.1",
            "127.0.0.1"
          ],
          "welcome_paragraph_html": "<h1>Welcome.</h1>",
          "email_welcome_paragraph_html": "Welcome to Plannr!",
          "show_fact_find_illustrations": true,
          "cc_email_addresses": [
            "jack@example.com",
            "jill@example.com"
          ],
          "bcc_email_addresses": [
            "jack@example.com",
            "jill@example.com"
          ],
          "reply_to_email_address": "jack@example.com",
          "mobile_app_support_number": "01234 567890",
          "mobile_app_support_email": "support@example.com"
        },
        "account": {
          "uuid": "807c360c-69e5-4495-b074-bb19a260e883",
          "created_at": "2026-08-28T07:35:05+01:00",
          "updated_at": "2026-08-28T07:35:05+01:00",
          "type": "client",
          "role": "client",
          "first_name": "Gareth",
          "last_name": "Thompson",
          "name": "Gareth Thompson",
          "email": "gareth@codepotato.co.uk",
          "photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson"
        },
        "tags": {
          "uuid": "4871f56c-96e4-4a88-98c4-07c3ecb83646",
          "created_at": "2026-08-28T07:35:05+01:00",
          "updated_at": "2026-08-28T07:35:05+01:00",
          "name": "Mortgage",
          "slug": "mortgage",
          "colour": "#ef4582"
        }
      },
      "account": {
        "uuid": "ba17b8dc-0e0e-4bb8-8a55-e19a2c6a1dec",
        "created_at": "2026-08-28T07:34:58+01:00",
        "updated_at": "2026-08-28T07:34:58+01:00",
        "type": "client",
        "role": "client",
        "first_name": "Gareth",
        "last_name": "Thompson",
        "name": "Gareth Thompson",
        "email": "gareth@codepotato.co.uk",
        "photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
        "external_references": {
          "uuid": "bbebe1dc-bcfb-4078-848e-1293b8f6887d",
          "created_at": "2026-08-28T07:35:05+01:00",
          "updated_at": "2026-08-28T07:35:05+01:00",
          "third_party": "nucleus",
          "reference": "AB123456"
        }
      },
      "invitation_url": "https://api.plannrcrm.com/fact-find/21239e86-cb01-41d3-998d-ae1e556e4e9d/4147dbd2-091b-444b-85fe-daf26bd86d6e",
      "fact_find_passes": {
        "uuid": "7e43e913-bff5-45fe-a7df-ecb946787233",
        "created_at": "2026-08-28T07:34:58+01:00",
        "updated_at": "2026-08-28T07:34:58+01:00",
        "firm": {
          "uuid": "8131e01e-6f2c-43eb-ad70-fadcb2a70b15",
          "name": "Codepotato Ltd"
        },
        "account": {
          "uuid": "807c360c-69e5-4495-b074-bb19a260e883",
          "created_at": "2026-08-28T07:35:05+01:00",
          "updated_at": "2026-08-28T07:35:05+01:00",
          "type": "client",
          "role": "client",
          "first_name": "Gareth",
          "last_name": "Thompson",
          "name": "Gareth Thompson",
          "email": "gareth@codepotato.co.uk",
          "photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson"
        },
        "circle": {
          "uuid": "6773fbd9-be2d-4e7f-9cfc-df056b3cd146",
          "name": "The Codepotato Gang"
        },
        "expires_at": "2026-08-28T07:34:58+01:00",
        "progress": 50,
        "is_complete": false,
        "completed_sections": 2
      }
    }
  ]
}